FileSPLStreams (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.spl

## Class FileSPLStreams

- java.lang.Object
- - com.ibm.streamsx.topology.spl.FileSPLStreams

-     public class FileSPLStreams
      extends java.lang.Object

  Creation of SPLStreams that relate to files.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileSPLStreams.Compression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSPLStreams()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SPLStream` | `csvCompressedReader(TStream<java.lang.String> fileNames, com.ibm.streams.operator.StreamSchema outputSchema, FileSPLStreams.Compression compression)` Create an `SPLStream` using the `spl.adapter::FileSource` operator that reads CSV records from compressed files with names delivered by `fileNames`.
    `static SPLStream` | `csvReader(TStream<java.lang.String> fileNames, com.ibm.streams.operator.StreamSchema outputSchema)` Create an `SPLStream` using the `spl.adapter::FileSource` operator that reads CSV records from files with names delivered by `fileNames`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSPLStreams

          public FileSPLStreams()

  - ### Method Detail

    - #### csvReader

          public static SPLStream csvReader(TStream<java.lang.String> fileNames,
                                            com.ibm.streams.operator.StreamSchema outputSchema)

      Create an `SPLStream` using the `spl.adapter::FileSource` operator that reads CSV records from files with names delivered by `fileNames`.
      Parameters:
        `fileNames` - Stream containing the file names to be read.
        `outputSchema` - SPL Schema of the CSV records and the returned stream.
      Returns:
        Stream containing CSV records for the files present on fileNames.

    - #### csvCompressedReader

          public static SPLStream csvCompressedReader(TStream<java.lang.String> fileNames,
                                                      com.ibm.streams.operator.StreamSchema outputSchema,
                                                      FileSPLStreams.Compression compression)

      Create an `SPLStream` using the `spl.adapter::FileSource` operator that reads CSV records from compressed files with names delivered by `fileNames`.
      Parameters:
        `fileNames` - Stream containing the file names to be read.
        `outputSchema` - SPL Schema of the CSV records and the returned stream.
      Returns:
        Stream containing CSV records for the files present on fileNames.